(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "NeXT Mathematica Notebook Front End Version 2.2";

	NeXTStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, noPageBreakInGroup, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, B65535, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = leftheader, inactive,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = leftfooter, inactive, center,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	paletteColors = 128; currentKernel; 
]
:[font = title; inactive; preserveAspect]
Generating All Faces of Convex Polytopes:FaceLattice2.m
-Mathematica  Package -

Komei Fukuda (University of Tsukuba, Tokyo) 
and 
Vera Rosta (Temple University Japan)
;[s]
3:0,0;57,1;68,2;168,-1;
3:1,21,16,Times,1,24,0,0,0;1,13,10,Times,3,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = text; inactive; preserveAspect]
In this small notebook, we shall explain how to enumerate all faces of a d-dimensional convex polytope using the package FaceLattice.m which is distributed with VertexEnum package. (A convex polytope is a bounded convex polyhedron.)   Since the package FaceLattice.m  automatically reads two other packages, VertexEnum.m and Combinatorica.m, it is important that those packages are available in your computing environment before you try to read in the FaceLattice package.  Combinatorica.m is a standard Mathematica package which is to be in the directory DiscreteMath. 
;[s]
5:0,0;205,1;212,2;504,3;515,4;571,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; initialization; preserveAspect; startGroup]
*)
$Path=Append[$Path,"~/Math"]
(*
:[font = output; output; inactive; initialization; preserveAspect; endGroup]
{".", "~", "~/Library/Mathematica/Packages", "/LocalApps\
 
   /Mathematica22.app/Library/Mathematica/Packages"\
 
   , "/LocalLibrary/Mathematica/Packages", "/LocalApps/M\
 
   athematica22.app/Install/Preload", "/LocalApps/Mathem\
 
   atica22.app/StartUp", "~/Math"}
;[o]
{., ~, ~/Library/Mathematica/Packages, 
 
  /LocalApps/Mathematica22.app/Library/Mathematica/Packa\
 
   ges, /LocalLibrary/Mathematica/Packages, 
 
  /LocalApps/Mathematica22.app/Install/Preload, 
 
  /LocalApps/Mathematica22.app/StartUp, ~/Math}
:[font = input; initialization; preserveAspect]
*)
<<FaceLattice2.m;
(*
:[font = input; initialization; preserveAspect]
*)
Off[General::spell];  Off[General::spell1];   
(*
:[font = input; preserveAspect; startGroup]
?FaceLatticeDiagram2
:[font = print; inactive; preserveAspect; endGroup]
FaceLatticeDiagram2[flinks,psize,ewidth] gives  the
   graphics primitive of the face lattice of  the convex
   polytope with a face lattice links flinks.   Point
   size and edge width are both optional.
:[font = text; inactive; preserveAspect; startGroup]
Let us first generate randomly a system of linear inequalities: m.x <=b and x>=0 whose solution set  is a 5-dimensional convex polytope with 7 facets.
:[font = input; dontPreserveAspect; startGroup]
size=2;    dim=4;
:[font = input; dontPreserveAspect; startGroup]
m=Table[Table[Random[Integer,{1,5}],{dim}],{size}]
:[font = output; input; inactive; dontPreserveAspect; endGroup]
{{4, 3, 1, 2}, {3, 3, 3, 2}}
;[o]
{{4, 3, 1, 2}, {3, 3, 3, 2}}
:[font = input; dontPreserveAspect; startGroup]
b=Table[Sum[m[[i,j]],{j,dim}],{i,size}]
:[font = output; input; inactive; dontPreserveAspect; endGroup; endGroup]
{10, 11}
;[o]
{10, 11}
:[font = text; inactive; preserveAspect]
Then we compute all vertices of the polytope using the VetexEnumeration function of  VertexEnum package. 
:[font = input; dontPreserveAspect; startGroup]
vlist=VertexEnumeration[m,b]
:[font = output; output; inactive; preserveAspect; endGroup]
{{{0, 0, 0, 0}, {5/2, 0, 0, 0}, {0, 10/3, 0, 0}, 
 
   {0, 19/6, 1/2, 0}, {0, 0, 0, 5}, {19/9, 0, 14/9, 0}, 
 
   {0, 0, 1/2, 19/4}, {0, 0, 11/3, 0}}, 
 
  {{1, 2, 3, 4}, {5, 2, 3, 4}, {5, 1, 3, 4}, 
 
   {5, 1, 6, 4}, {5, 2, 3, 1}, {5, 2, 6, 4}, 
 
   {5, 2, 6, 1}, {1, 2, 6, 4}}}
;[o]
                 5                10
{{{0, 0, 0, 0}, {-, 0, 0, 0}, {0, --, 0, 0}, 
                 2                3
 
       19  1                     19     14
   {0, --, -, 0}, {0, 0, 0, 5}, {--, 0, --, 0}, 
       6   2                     9      9
 
          1  19          11
   {0, 0, -, --}, {0, 0, --, 0}}, 
          2  4           3
 
  {{1, 2, 3, 4}, {5, 2, 3, 4}, {5, 1, 3, 4}, 
 
   {5, 1, 6, 4}, {5, 2, 3, 1}, {5, 2, 6, 4}, 
 
   {5, 2, 6, 1}, {1, 2, 6, 4}}}
:[font = input; dontPreserveAspect; startGroup]
activesets=vlist[[2]]
:[font = output; output; inactive; preserveAspect; endGroup]
{{1, 2, 3, 4}, {5, 2, 3, 4}, {5, 1, 3, 4}, 
 
  {5, 1, 6, 4}, {5, 2, 3, 1}, {5, 2, 6, 4}, 
 
  {5, 2, 6, 1}, {1, 2, 6, 4}}
;[o]
{{1, 2, 3, 4}, {5, 2, 3, 4}, {5, 1, 3, 4}, 
 
  {5, 1, 6, 4}, {5, 2, 3, 1}, {5, 2, 6, 4}, 
 
  {5, 2, 6, 1}, {1, 2, 6, 4}}
:[font = text; inactive; preserveAspect]
Here activesets is the list of vertices, each represented as the set of indices of inequalities which are satisfied by equality (i.e. active) at the vertex. We can represent each face of the polytope exactly the same manner.  In fact, by taking all possible intersections of members of activesets, we can generate all faces. The function KFaceList outputs 
{F-1,F0,F1,F2,...,Fd} where d is the dimension of the polytope and Fk is the list of k-dimensional faces for k=-1,0,1,2,...,d.
;[s]
7:0,0;5,1;15,2;134,3;140,4;338,5;347,6;484,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect]
(* The following takes about two minutes on Macintosh SE/30 *)
:[font = input; preserveAspect; startGroup]
{time,flist}=Timing[KFaceList[activesets]]
:[font = print; inactive; preserveAspect]
All 0-faces determined.
All 1-faces determined.
All 2-faces determined.
All 3-faces determined.
:[font = output; output; inactive; preserveAspect; endGroup]
{1.666666666666664*Second, 
 
  {{{1, 2, 3, 4, 5, 6}}, 
 
   {{1, 2, 3, 4}, {2, 3, 4, 5}, {1, 3, 4, 5}, 
 
    {1, 4, 5, 6}, {1, 2, 3, 5}, {2, 4, 5, 6}, 
 
    {1, 2, 5, 6}, {1, 2, 4, 6}}, 
 
   {{2, 3, 4}, {1, 3, 4}, {1, 2, 3}, {1, 2, 4}, 
 
    {3, 4, 5}, {2, 3, 5}, {2, 4, 5}, {1, 4, 5}, 
 
    {1, 3, 5}, {4, 5, 6}, {1, 5, 6}, {1, 4, 6}, 
 
    {1, 2, 5}, {2, 5, 6}, {2, 4, 6}, {1, 2, 6}}, 
 
   {{3, 4}, {2, 3}, {2, 4}, {1, 4}, {1, 3}, {1, 2}, 
 
    {4, 5}, {3, 5}, {2, 5}, {1, 5}, {5, 6}, {4, 6}, 
 
    {1, 6}, {2, 6}}, {{4}, {3}, {2}, {1}, {5}, {6}}, 
 
   {{}}}}
;[o]
{1.66667 Second, {{{1, 2, 3, 4, 5, 6}}, 
 
   {{1, 2, 3, 4}, {2, 3, 4, 5}, {1, 3, 4, 5}, 
 
    {1, 4, 5, 6}, {1, 2, 3, 5}, {2, 4, 5, 6}, 
 
    {1, 2, 5, 6}, {1, 2, 4, 6}}, 
 
   {{2, 3, 4}, {1, 3, 4}, {1, 2, 3}, {1, 2, 4}, 
 
    {3, 4, 5}, {2, 3, 5}, {2, 4, 5}, {1, 4, 5}, 
 
    {1, 3, 5}, {4, 5, 6}, {1, 5, 6}, {1, 4, 6}, 
 
    {1, 2, 5}, {2, 5, 6}, {2, 4, 6}, {1, 2, 6}}, 
 
   {{3, 4}, {2, 3}, {2, 4}, {1, 4}, {1, 3}, {1, 2}, 
 
    {4, 5}, {3, 5}, {2, 5}, {1, 5}, {5, 6}, {4, 6}, 
 
    {1, 6}, {2, 6}}, {{4}, {3}, {2}, {1}, {5}, {6}}, 
 
   {{}}}}
:[font = text; inactive; preserveAspect]
The function FVector counts the number of k-faces for k=-1,0,2,...,d.
:[font = input; preserveAspect; startGroup]
fvector=FVector[flist]
:[font = output; input; inactive; preserveAspect; endGroup]
{1, 8, 16, 14, 6, 1}
;[o]
{1, 8, 16, 14, 6, 1}
:[font = text; inactive; preserveAspect]
There is a well-known theorem about the f-vector:  Euler-Poincare's relation.  This relation says that the alternate sum of the number of k-faces is always zero.  We can test whether it is true for our example.  First we make the (+1,-1) alternating vector.  
:[font = input; preserveAspect; startGroup]
avector=Table[(-1)^i,{i,Length[flist]}]
:[font = output; output; inactive; preserveAspect; endGroup]
{-1, 1, -1, 1, -1, 1}
;[o]
{-1, 1, -1, 1, -1, 1}
:[font = text; inactive; preserveAspect]
The following must be true.  (If not, who is responsible for it?)
:[font = input; preserveAspect; startGroup]
TrueQ[avector.fvector==0]
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = text; inactive; preserveAspect]
It is not easy to draw by hand the face lattice of general convex polytopes, but the function FaceLatticeDiagram automatically generates a Mathematica  graphics for it.  Whether or not the drawing is useful is a different question!
;[s]
5:0,0;94,1;112,2;139,3;150,4;232,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
Show[FaceLatticeDiagram[flist]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 14; pictureWidth = 315; pictureHeight = 194]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.014715 0.588604 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.002 w
.5 .01472 m
.10847 .13244 L
s
.5 .01472 m
.22033 .13244 L
s
.5 .01472 m
.3322 .13244 L
s
.5 .01472 m
.44407 .13244 L
s
.5 .01472 m
.55593 .13244 L
s
.5 .01472 m
.6678 .13244 L
s
.5 .01472 m
.77967 .13244 L
s
.5 .01472 m
.89153 .13244 L
s
.10847 .13244 m
.02381 .25016 L
s
.10847 .13244 m
.0873 .25016 L
s
.10847 .13244 m
.15079 .25016 L
s
.10847 .13244 m
.21429 .25016 L
s
.22033 .13244 m
.02381 .25016 L
s
.22033 .13244 m
.27778 .25016 L
s
.22033 .13244 m
.34127 .25016 L
s
.22033 .13244 m
.40476 .25016 L
s
.3322 .13244 m
.0873 .25016 L
s
.3322 .13244 m
.27778 .25016 L
s
.3322 .13244 m
.46825 .25016 L
s
.3322 .13244 m
.53175 .25016 L
s
.44407 .13244 m
.46825 .25016 L
s
.44407 .13244 m
.59524 .25016 L
s
.44407 .13244 m
.65873 .25016 L
s
.44407 .13244 m
.72222 .25016 L
s
.55593 .13244 m
.15079 .25016 L
s
.55593 .13244 m
.34127 .25016 L
s
.55593 .13244 m
.53175 .25016 L
s
.55593 .13244 m
.78571 .25016 L
s
.6678 .13244 m
.40476 .25016 L
s
.6678 .13244 m
.59524 .25016 L
s
.6678 .13244 m
.84921 .25016 L
s
.6678 .13244 m
.9127 .25016 L
s
.77967 .13244 m
.65873 .25016 L
s
.77967 .13244 m
.78571 .25016 L
s
.77967 .13244 m
.84921 .25016 L
s
.77967 .13244 m
.97619 .25016 L
s
.89153 .13244 m
.21429 .25016 L
s
.89153 .13244 m
.72222 .25016 L
s
.89153 .13244 m
.9127 .25016 L
s
.89153 .13244 m
.97619 .25016 L
s
.02381 .25016 m
.04497 .36788 L
s
.02381 .25016 m
.11498 .36788 L
s
.02381 .25016 m
.18498 .36788 L
s
.0873 .25016 m
.04497 .36788 L
s
.0873 .25016 m
.25499 .36788 L
s
.0873 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.11498 .36788 L
s
.15079 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.39499 .36788 L
s
.21429 .25016 m
.18498 .36788 L
s
.21429 .25016 m
.25499 .36788 L
s
.21429 .25016 m
.39499 .36788 L
s
.27778 .25016 m
.04497 .36788 L
s
.27778 .25016 m
.465 .36788 L
s
.27778 .25016 m
.535 .36788 L
s
.34127 .25016 m
.11498 .36788 L
s
.34127 .25016 m
.535 .36788 L
s
.34127 .25016 m
.60501 .36788 L
s
.40476 .25016 m
.18498 .36788 L
s
.40476 .25016 m
.465 .36788 L
s
.40476 .25016 m
.60501 .36788 L
s
.46825 .25016 m
.25499 .36788 L
s
.46825 .25016 m
.465 .36788 L
s
.46825 .25016 m
.67501 .36788 L
s
.53175 .25016 m
.32499 .36788 L
s
.53175 .25016 m
.535 .36788 L
s
.53175 .25016 m
.67501 .36788 L
s
.59524 .25016 m
.465 .36788 L
s
.59524 .25016 m
.74501 .36788 L
s
.59524 .25016 m
.81502 .36788 L
s
.65873 .25016 m
.67501 .36788 L
s
.65873 .25016 m
.74501 .36788 L
s
.65873 .25016 m
.88502 .36788 L
s
.72222 .25016 m
.25499 .36788 L
s
.72222 .25016 m
.81502 .36788 L
s
.72222 .25016 m
.88502 .36788 L
s
.78571 .25016 m
.39499 .36788 L
s
.78571 .25016 m
.60501 .36788 L
s
.78571 .25016 m
.67501 .36788 L
s
.84921 .25016 m
.60501 .36788 L
s
.84921 .25016 m
.74501 .36788 L
s
.84921 .25016 m
.95503 .36788 L
s
.9127 .25016 m
.18498 .36788 L
s
.9127 .25016 m
.81502 .36788 L
s
.9127 .25016 m
.95503 .36788 L
s
.97619 .25016 m
.39499 .36788 L
s
.97619 .25016 m
.88502 .36788 L
s
.97619 .25016 m
.95503 .36788 L
s
.04497 .36788 m
.12963 .4856 L
s
.04497 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.42593 .4856 L
s
.18498 .36788 m
.12963 .4856 L
s
.18498 .36788 m
.42593 .4856 L
s
.25499 .36788 m
.12963 .4856 L
s
.25499 .36788 m
.57407 .4856 L
s
.32499 .36788 m
.27778 .4856 L
s
.32499 .36788 m
.57407 .4856 L
s
.39499 .36788 m
.42593 .4856 L
s
.39499 .36788 m
.57407 .4856 L
s
.465 .36788 m
.12963 .4856 L
s
.465 .36788 m
.72222 .4856 L
s
.535 .36788 m
.27778 .4856 L
s
.535 .36788 m
.72222 .4856 L
s
.60501 .36788 m
.42593 .4856 L
s
.60501 .36788 m
.72222 .4856 L
s
.67501 .36788 m
.57407 .4856 L
s
.67501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.87037 .4856 L
s
.81502 .36788 m
.12963 .4856 L
s
.81502 .36788 m
.87037 .4856 L
s
.88502 .36788 m
.57407 .4856 L
s
.88502 .36788 m
.87037 .4856 L
s
.95503 .36788 m
.42593 .4856 L
s
.95503 .36788 m
.87037 .4856 L
s
.12963 .4856 m
.5 .60332 L
s
.27778 .4856 m
.5 .60332 L
s
.42593 .4856 m
.5 .60332 L
s
.57407 .4856 m
.5 .60332 L
s
.72222 .4856 m
.5 .60332 L
s
.87037 .4856 m
.5 .60332 L
s
.01 w
.5 .01472 Mdot
.10847 .13244 Mdot
.22033 .13244 Mdot
.3322 .13244 Mdot
.44407 .13244 Mdot
.55593 .13244 Mdot
.6678 .13244 Mdot
.77967 .13244 Mdot
.89153 .13244 Mdot
.02381 .25016 Mdot
.0873 .25016 Mdot
.15079 .25016 Mdot
.21429 .25016 Mdot
.27778 .25016 Mdot
.34127 .25016 Mdot
.40476 .25016 Mdot
.46825 .25016 Mdot
.53175 .25016 Mdot
.59524 .25016 Mdot
.65873 .25016 Mdot
.72222 .25016 Mdot
.78571 .25016 Mdot
.84921 .25016 Mdot
.9127 .25016 Mdot
.97619 .25016 Mdot
.04497 .36788 Mdot
.11498 .36788 Mdot
.18498 .36788 Mdot
.25499 .36788 Mdot
.32499 .36788 Mdot
.39499 .36788 Mdot
.465 .36788 Mdot
.535 .36788 Mdot
.60501 .36788 Mdot
.67501 .36788 Mdot
.74501 .36788 Mdot
.81502 .36788 Mdot
.88502 .36788 Mdot
.95503 .36788 Mdot
.12963 .4856 Mdot
.27778 .4856 Mdot
.42593 .4856 Mdot
.57407 .4856 Mdot
.72222 .4856 Mdot
.87037 .4856 Mdot
.5 .60332 Mdot
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup]
Show[FaceLatticeColorDiagram[flist]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 12; pictureTop = 2; pictureWidth = 324; pictureHeight = 200]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.014715 0.588604 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.002 w
.5 .01472 m
.10847 .13244 L
s
.5 .01472 m
.22033 .13244 L
s
.5 .01472 m
.3322 .13244 L
s
.5 .01472 m
.44407 .13244 L
s
.5 .01472 m
.55593 .13244 L
s
.5 .01472 m
.6678 .13244 L
s
.5 .01472 m
.77967 .13244 L
s
.5 .01472 m
.89153 .13244 L
s
.10847 .13244 m
.02381 .25016 L
s
.10847 .13244 m
.0873 .25016 L
s
.10847 .13244 m
.15079 .25016 L
s
.10847 .13244 m
.21429 .25016 L
s
.22033 .13244 m
.02381 .25016 L
s
.22033 .13244 m
.27778 .25016 L
s
.22033 .13244 m
.34127 .25016 L
s
.22033 .13244 m
.40476 .25016 L
s
.3322 .13244 m
.0873 .25016 L
s
.3322 .13244 m
.27778 .25016 L
s
.3322 .13244 m
.46825 .25016 L
s
.3322 .13244 m
.53175 .25016 L
s
.44407 .13244 m
.46825 .25016 L
s
.44407 .13244 m
.59524 .25016 L
s
.44407 .13244 m
.65873 .25016 L
s
.44407 .13244 m
.72222 .25016 L
s
.55593 .13244 m
.15079 .25016 L
s
.55593 .13244 m
.34127 .25016 L
s
.55593 .13244 m
.53175 .25016 L
s
.55593 .13244 m
.78571 .25016 L
s
.6678 .13244 m
.40476 .25016 L
s
.6678 .13244 m
.59524 .25016 L
s
.6678 .13244 m
.84921 .25016 L
s
.6678 .13244 m
.9127 .25016 L
s
.77967 .13244 m
.65873 .25016 L
s
.77967 .13244 m
.78571 .25016 L
s
.77967 .13244 m
.84921 .25016 L
s
.77967 .13244 m
.97619 .25016 L
s
.89153 .13244 m
.21429 .25016 L
s
.89153 .13244 m
.72222 .25016 L
s
.89153 .13244 m
.9127 .25016 L
s
.89153 .13244 m
.97619 .25016 L
s
.02381 .25016 m
.04497 .36788 L
s
.02381 .25016 m
.11498 .36788 L
s
.02381 .25016 m
.18498 .36788 L
s
.0873 .25016 m
.04497 .36788 L
s
.0873 .25016 m
.25499 .36788 L
s
.0873 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.11498 .36788 L
s
.15079 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.39499 .36788 L
s
.21429 .25016 m
.18498 .36788 L
s
.21429 .25016 m
.25499 .36788 L
s
.21429 .25016 m
.39499 .36788 L
s
.27778 .25016 m
.04497 .36788 L
s
.27778 .25016 m
.465 .36788 L
s
.27778 .25016 m
.535 .36788 L
s
.34127 .25016 m
.11498 .36788 L
s
.34127 .25016 m
.535 .36788 L
s
.34127 .25016 m
.60501 .36788 L
s
.40476 .25016 m
.18498 .36788 L
s
.40476 .25016 m
.465 .36788 L
s
.40476 .25016 m
.60501 .36788 L
s
.46825 .25016 m
.25499 .36788 L
s
.46825 .25016 m
.465 .36788 L
s
.46825 .25016 m
.67501 .36788 L
s
.53175 .25016 m
.32499 .36788 L
s
.53175 .25016 m
.535 .36788 L
s
.53175 .25016 m
.67501 .36788 L
s
.59524 .25016 m
.465 .36788 L
s
.59524 .25016 m
.74501 .36788 L
s
.59524 .25016 m
.81502 .36788 L
s
.65873 .25016 m
.67501 .36788 L
s
.65873 .25016 m
.74501 .36788 L
s
.65873 .25016 m
.88502 .36788 L
s
.72222 .25016 m
.25499 .36788 L
s
.72222 .25016 m
.81502 .36788 L
s
.72222 .25016 m
.88502 .36788 L
s
.78571 .25016 m
.39499 .36788 L
s
.78571 .25016 m
.60501 .36788 L
s
.78571 .25016 m
.67501 .36788 L
s
.84921 .25016 m
.60501 .36788 L
s
.84921 .25016 m
.74501 .36788 L
s
.84921 .25016 m
.95503 .36788 L
s
.9127 .25016 m
.18498 .36788 L
s
.9127 .25016 m
.81502 .36788 L
s
.9127 .25016 m
.95503 .36788 L
s
.97619 .25016 m
.39499 .36788 L
s
.97619 .25016 m
.88502 .36788 L
s
.97619 .25016 m
.95503 .36788 L
s
.04497 .36788 m
.12963 .4856 L
s
.04497 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.42593 .4856 L
s
.18498 .36788 m
.12963 .4856 L
s
.18498 .36788 m
.42593 .4856 L
s
.25499 .36788 m
.12963 .4856 L
s
.25499 .36788 m
.57407 .4856 L
s
.32499 .36788 m
.27778 .4856 L
s
.32499 .36788 m
.57407 .4856 L
s
.39499 .36788 m
.42593 .4856 L
s
.39499 .36788 m
.57407 .4856 L
s
.465 .36788 m
.12963 .4856 L
s
.465 .36788 m
.72222 .4856 L
s
.535 .36788 m
.27778 .4856 L
s
.535 .36788 m
.72222 .4856 L
s
.60501 .36788 m
.42593 .4856 L
s
.60501 .36788 m
.72222 .4856 L
s
.67501 .36788 m
.57407 .4856 L
s
.67501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.87037 .4856 L
s
.81502 .36788 m
.12963 .4856 L
s
.81502 .36788 m
.87037 .4856 L
s
.88502 .36788 m
.57407 .4856 L
s
.88502 .36788 m
.87037 .4856 L
s
.95503 .36788 m
.42593 .4856 L
s
.95503 .36788 m
.87037 .4856 L
s
.12963 .4856 m
.5 .60332 L
s
.27778 .4856 m
.5 .60332 L
s
.42593 .4856 m
.5 .60332 L
s
.57407 .4856 m
.5 .60332 L
s
.72222 .4856 m
.5 .60332 L
s
.87037 .4856 m
.5 .60332 L
s
0 0 1 r
.01 w
.5 .01472 Mdot
.10847 .13244 Mdot
.22033 .13244 Mdot
.3322 .13244 Mdot
.44407 .13244 Mdot
.55593 .13244 Mdot
.6678 .13244 Mdot
.77967 .13244 Mdot
.89153 .13244 Mdot
.02381 .25016 Mdot
.0873 .25016 Mdot
.15079 .25016 Mdot
.21429 .25016 Mdot
.27778 .25016 Mdot
.34127 .25016 Mdot
.40476 .25016 Mdot
.46825 .25016 Mdot
.53175 .25016 Mdot
.59524 .25016 Mdot
.65873 .25016 Mdot
.72222 .25016 Mdot
.78571 .25016 Mdot
.84921 .25016 Mdot
.9127 .25016 Mdot
.97619 .25016 Mdot
.04497 .36788 Mdot
.11498 .36788 Mdot
.18498 .36788 Mdot
.25499 .36788 Mdot
.32499 .36788 Mdot
.39499 .36788 Mdot
.465 .36788 Mdot
.535 .36788 Mdot
.60501 .36788 Mdot
.67501 .36788 Mdot
.74501 .36788 Mdot
.81502 .36788 Mdot
.88502 .36788 Mdot
.95503 .36788 Mdot
.12963 .4856 Mdot
.27778 .4856 Mdot
.42593 .4856 Mdot
.57407 .4856 Mdot
.72222 .4856 Mdot
.87037 .4856 Mdot
.5 .60332 Mdot
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = text; inactive; preserveAspect]
If  you want to know exactly what are the links in the diagram above, execute the function  FaceLatticeLinks.
;[s]
3:0,0;92,1;108,2;110,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
flinks=FaceLatticeLinks[flist];
flinks // Short
:[font = output; output; inactive; preserveAspect; endGroup]
Short["<<>>"]
;[o]
{{{-1, 1}, {0, 1}}, <<120>>, {{3, 6}, {4, 1}}}
:[font = input; preserveAspect; startGroup]
Show[FaceLatticeDiagram2[flinks]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.014715 0.588604 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.002 w
.5 .01472 m
.10847 .13244 L
s
.5 .01472 m
.22033 .13244 L
s
.5 .01472 m
.3322 .13244 L
s
.5 .01472 m
.44407 .13244 L
s
.5 .01472 m
.55593 .13244 L
s
.5 .01472 m
.6678 .13244 L
s
.5 .01472 m
.77967 .13244 L
s
.5 .01472 m
.89153 .13244 L
s
.10847 .13244 m
.02381 .25016 L
s
.10847 .13244 m
.0873 .25016 L
s
.10847 .13244 m
.15079 .25016 L
s
.10847 .13244 m
.21429 .25016 L
s
.22033 .13244 m
.02381 .25016 L
s
.22033 .13244 m
.27778 .25016 L
s
.22033 .13244 m
.34127 .25016 L
s
.22033 .13244 m
.40476 .25016 L
s
.3322 .13244 m
.0873 .25016 L
s
.3322 .13244 m
.27778 .25016 L
s
.3322 .13244 m
.46825 .25016 L
s
.3322 .13244 m
.53175 .25016 L
s
.44407 .13244 m
.46825 .25016 L
s
.44407 .13244 m
.59524 .25016 L
s
.44407 .13244 m
.65873 .25016 L
s
.44407 .13244 m
.72222 .25016 L
s
.55593 .13244 m
.15079 .25016 L
s
.55593 .13244 m
.34127 .25016 L
s
.55593 .13244 m
.53175 .25016 L
s
.55593 .13244 m
.78571 .25016 L
s
.6678 .13244 m
.40476 .25016 L
s
.6678 .13244 m
.59524 .25016 L
s
.6678 .13244 m
.84921 .25016 L
s
.6678 .13244 m
.9127 .25016 L
s
.77967 .13244 m
.65873 .25016 L
s
.77967 .13244 m
.78571 .25016 L
s
.77967 .13244 m
.84921 .25016 L
s
.77967 .13244 m
.97619 .25016 L
s
.89153 .13244 m
.21429 .25016 L
s
.89153 .13244 m
.72222 .25016 L
s
.89153 .13244 m
.9127 .25016 L
s
.89153 .13244 m
.97619 .25016 L
s
.02381 .25016 m
.04497 .36788 L
s
.02381 .25016 m
.11498 .36788 L
s
.02381 .25016 m
.18498 .36788 L
s
.0873 .25016 m
.04497 .36788 L
s
.0873 .25016 m
.25499 .36788 L
s
.0873 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.11498 .36788 L
s
.15079 .25016 m
.32499 .36788 L
s
.15079 .25016 m
.39499 .36788 L
s
.21429 .25016 m
.18498 .36788 L
s
.21429 .25016 m
.25499 .36788 L
s
.21429 .25016 m
.39499 .36788 L
s
.27778 .25016 m
.04497 .36788 L
s
.27778 .25016 m
.465 .36788 L
s
.27778 .25016 m
.535 .36788 L
s
.34127 .25016 m
.11498 .36788 L
s
.34127 .25016 m
.535 .36788 L
s
.34127 .25016 m
.60501 .36788 L
s
.40476 .25016 m
.18498 .36788 L
s
.40476 .25016 m
.465 .36788 L
s
.40476 .25016 m
.60501 .36788 L
s
.46825 .25016 m
.25499 .36788 L
s
.46825 .25016 m
.465 .36788 L
s
.46825 .25016 m
.67501 .36788 L
s
.53175 .25016 m
.32499 .36788 L
s
.53175 .25016 m
.535 .36788 L
s
.53175 .25016 m
.67501 .36788 L
s
.59524 .25016 m
.465 .36788 L
s
.59524 .25016 m
.74501 .36788 L
s
.59524 .25016 m
.81502 .36788 L
s
.65873 .25016 m
.67501 .36788 L
s
.65873 .25016 m
.74501 .36788 L
s
.65873 .25016 m
.88502 .36788 L
s
.72222 .25016 m
.25499 .36788 L
s
.72222 .25016 m
.81502 .36788 L
s
.72222 .25016 m
.88502 .36788 L
s
.78571 .25016 m
.39499 .36788 L
s
.78571 .25016 m
.60501 .36788 L
s
.78571 .25016 m
.67501 .36788 L
s
.84921 .25016 m
.60501 .36788 L
s
.84921 .25016 m
.74501 .36788 L
s
.84921 .25016 m
.95503 .36788 L
s
.9127 .25016 m
.18498 .36788 L
s
.9127 .25016 m
.81502 .36788 L
s
.9127 .25016 m
.95503 .36788 L
s
.97619 .25016 m
.39499 .36788 L
s
.97619 .25016 m
.88502 .36788 L
s
.97619 .25016 m
.95503 .36788 L
s
.04497 .36788 m
.12963 .4856 L
s
.04497 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.27778 .4856 L
s
.11498 .36788 m
.42593 .4856 L
s
.18498 .36788 m
.12963 .4856 L
s
.18498 .36788 m
.42593 .4856 L
s
.25499 .36788 m
.12963 .4856 L
s
.25499 .36788 m
.57407 .4856 L
s
.32499 .36788 m
.27778 .4856 L
s
.32499 .36788 m
.57407 .4856 L
s
.39499 .36788 m
.42593 .4856 L
s
.39499 .36788 m
.57407 .4856 L
s
.465 .36788 m
.12963 .4856 L
s
.465 .36788 m
.72222 .4856 L
s
.535 .36788 m
.27778 .4856 L
s
.535 .36788 m
.72222 .4856 L
s
.60501 .36788 m
.42593 .4856 L
s
.60501 .36788 m
.72222 .4856 L
s
.67501 .36788 m
.57407 .4856 L
s
.67501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.72222 .4856 L
s
.74501 .36788 m
.87037 .4856 L
s
.81502 .36788 m
.12963 .4856 L
s
.81502 .36788 m
.87037 .4856 L
s
.88502 .36788 m
.57407 .4856 L
s
.88502 .36788 m
.87037 .4856 L
s
.95503 .36788 m
.42593 .4856 L
s
.95503 .36788 m
.87037 .4856 L
s
.12963 .4856 m
.5 .60332 L
s
.27778 .4856 m
.5 .60332 L
s
.42593 .4856 m
.5 .60332 L
s
.57407 .4856 m
.5 .60332 L
s
.72222 .4856 m
.5 .60332 L
s
.87037 .4856 m
.5 .60332 L
s
.01 w
.5 .01472 Mdot
.10847 .13244 Mdot
.22033 .13244 Mdot
.3322 .13244 Mdot
.44407 .13244 Mdot
.55593 .13244 Mdot
.6678 .13244 Mdot
.77967 .13244 Mdot
.89153 .13244 Mdot
.02381 .25016 Mdot
.0873 .25016 Mdot
.15079 .25016 Mdot
.21429 .25016 Mdot
.27778 .25016 Mdot
.34127 .25016 Mdot
.40476 .25016 Mdot
.46825 .25016 Mdot
.53175 .25016 Mdot
.59524 .25016 Mdot
.65873 .25016 Mdot
.72222 .25016 Mdot
.78571 .25016 Mdot
.84921 .25016 Mdot
.9127 .25016 Mdot
.97619 .25016 Mdot
.04497 .36788 Mdot
.11498 .36788 Mdot
.18498 .36788 Mdot
.25499 .36788 Mdot
.32499 .36788 Mdot
.39499 .36788 Mdot
.465 .36788 Mdot
.535 .36788 Mdot
.60501 .36788 Mdot
.67501 .36788 Mdot
.74501 .36788 Mdot
.81502 .36788 Mdot
.88502 .36788 Mdot
.95503 .36788 Mdot
.12963 .4856 Mdot
.27778 .4856 Mdot
.42593 .4856 Mdot
.57407 .4856 Mdot
.72222 .4856 Mdot
.87037 .4856 Mdot
.5 .60332 Mdot
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = text; inactive; preserveAspect]
Here, each element {{k,m},{k+1,n}} of flinks indicates that  the m-th face of dimension k is  covered by the n-th face of dimension k+1.
:[font = text; inactive; preserveAspect]
Since we have imported Combinatorica package also,  we conlude this notebook with explanation for drawing the graph of the polytope using the package:
:[font = input; dontPreserveAspect]
edges=EdgesOfPolyhedron[activesets];
:[font = input; dontPreserveAspect; startGroup]
ShowLabeledGraph[g=FromUnorderedPairs[edges]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 282]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.045455 0.909091 0.045455 0.909091 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
.025 w
.82141 .82141 Mdot
.5 .95455 Mdot
.17859 .82141 Mdot
.04545 .5 Mdot
.17859 .17859 Mdot
.5 .04545 Mdot
.82141 .17859 Mdot
.95455 .5 Mdot
.004 w
.82141 .82141 m
.5 .95455 L
s
.82141 .82141 m
.17859 .82141 L
s
.82141 .82141 m
.17859 .17859 L
s
.82141 .82141 m
.95455 .5 L
s
.5 .95455 m
.82141 .82141 L
s
.5 .95455 m
.17859 .82141 L
s
.5 .95455 m
.17859 .17859 L
s
.5 .95455 m
.5 .04545 L
s
.17859 .82141 m
.82141 .82141 L
s
.17859 .82141 m
.5 .95455 L
s
.17859 .82141 m
.04545 .5 L
s
.17859 .82141 m
.17859 .17859 L
s
.04545 .5 m
.17859 .82141 L
s
.04545 .5 m
.5 .04545 L
s
.04545 .5 m
.82141 .17859 L
s
.04545 .5 m
.95455 .5 L
s
.17859 .17859 m
.82141 .82141 L
s
.17859 .17859 m
.5 .95455 L
s
.17859 .17859 m
.17859 .82141 L
s
.17859 .17859 m
.82141 .17859 L
s
.5 .04545 m
.5 .95455 L
s
.5 .04545 m
.04545 .5 L
s
.5 .04545 m
.82141 .17859 L
s
.5 .04545 m
.95455 .5 L
s
.82141 .17859 m
.04545 .5 L
s
.82141 .17859 m
.17859 .17859 L
s
.82141 .17859 m
.5 .04545 L
s
.82141 .17859 m
.95455 .5 L
s
.95455 .5 m
.82141 .82141 L
s
.95455 .5 m
.04545 .5 L
s
.95455 .5 m
.5 .04545 L
s
.95455 .5 m
.82141 .17859 L
s
.82141 .82141 m
.5 .95455 L
s
.82141 .82141 m
.17859 .82141 L
s
.82141 .82141 m
.17859 .17859 L
s
.82141 .82141 m
.95455 .5 L
s
.5 .95455 m
.82141 .82141 L
s
.5 .95455 m
.17859 .82141 L
s
.5 .95455 m
.17859 .17859 L
s
.5 .95455 m
.5 .04545 L
s
.17859 .82141 m
.82141 .82141 L
s
.17859 .82141 m
.5 .95455 L
s
.17859 .82141 m
.04545 .5 L
s
.17859 .82141 m
.17859 .17859 L
s
.04545 .5 m
.17859 .82141 L
s
.04545 .5 m
.5 .04545 L
s
.04545 .5 m
.82141 .17859 L
s
.04545 .5 m
.95455 .5 L
s
.17859 .17859 m
.82141 .82141 L
s
.17859 .17859 m
.5 .95455 L
s
.17859 .17859 m
.17859 .82141 L
s
.17859 .17859 m
.82141 .17859 L
s
.5 .04545 m
.5 .95455 L
s
.5 .04545 m
.04545 .5 L
s
.5 .04545 m
.82141 .17859 L
s
.5 .04545 m
.95455 .5 L
s
.82141 .17859 m
.04545 .5 L
s
.82141 .17859 m
.17859 .17859 L
s
.82141 .17859 m
.5 .04545 L
s
.82141 .17859 m
.95455 .5 L
s
.95455 .5 m
.82141 .82141 L
s
.95455 .5 m
.04545 .5 L
s
.95455 .5 m
.5 .04545 L
s
.95455 .5 m
.82141 .17859 L
s
[(1)] .79414 .79414 0 1 Mshowa
[(2)] .47273 .92727 0 1 Mshowa
[(3)] .15132 .79414 0 1 Mshowa
[(4)] .01818 .47273 0 1 Mshowa
[(5)] .15132 .15132 0 1 Mshowa
[(6)] .47273 .01818 0 1 Mshowa
[(7)] .79414 .15132 0 1 Mshowa
[(8)] .92727 .47273 0 1 Mshowa
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; dontPreserveAspect; endGroup; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup]
?FaceLattice2`*
:[font = print; inactive; preserveAspect; endGroup]
DegeneracyDegrees       FaceLatticeLinks
FaceLatticeColorDiagram FVector
FaceLatticeDiagram      KFaceList
FaceLatticeDiagram2     MaxDegeneracyDegree
^*)
